#287 Cannot build on Mac OSX 10.5

open
nobody
htdig (103)
5
2008-11-20
2008-11-20
Anonymous
No

First, configure fails with:

...
checking for fstream.h... no
configure: error: To compile ht://Dig, you will need a C++ library. Try installing libstdc++.

After searching the FAQ, I was instructed to use the following flags:

CPPFLAGS=-Wno-deprecated
CXXFLAGS=-Wno-deprecated

This allows configure to run, but then make fails with:

gcc -c -O -I. -I./../include -Wno-deprecated ../btree/bt_compare.c
cc1: warning: command line option "-Wno-deprecated" is valid for C++/ObjC++ but not for C
In file included from ../btree/bt_compare.c:54:
/usr/include/sys/types.h:152: error: two or more data types in declaration specifiers
/usr/include/sys/types.h:167: error: two or more data types in declaration specifiers
/usr/include/sys/types.h:172: error: two or more data types in declaration specifiers
/usr/include/sys/types.h:230: error: two or more data types in declaration specifiers
/usr/include/sys/types.h:235: error: two or more data types in declaration specifiers
make[1]: *** [bt_compare.o] Error 1
make: *** [all] Error 1

So, I cleared the CPPFLAG, which removes the warning above, but the rest of the errors persist.

I'm using:

OSX 10.5.5
gcc 4.0.1
htdig 3.1.6

Thanks,

Brian Janes
btjanes@rtda.com

Discussion

<< < 1 2 3 4 .. 23 > >> (Page 2 of 23)
  • Give somebody the to a site about the, <a href= http://technorati.com/people/hugecumshot#1 >huge cumshot information</a> [url=http://technorati.com/people/hugecumshot#1]huge cumshot information[/url], >:-OOO,

     
  • Is it so important?,

     
  • What?,

     
  • What?,

     
  • I want to say thanks!,

     
<< < 1 2 3 4 .. 23 > >> (Page 2 of 23)